Skip to main content
POST
Cable subscription

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Body

application/json
smartcardNumber
string
required
Example:

"1234567890"

cableplan
string
required

planId from GET /api/v1/plans/cable (planId field) or Mongo _id. Provider is resolved from the plan.

Example:

"GOtv_Supa_Plus_monthly_N16_800"

customerName
string
required
Example:

"John Doe"

customerRef
string
Example:

"CABLE-REF-001"

Response

OK